> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get HsVendor

> Retrieve a HsVendor by ID



## OpenAPI

````yaml get /vLatest/action/glasscore/hsvendor/{id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /vLatest/action/glasscore/hsvendor/{id}:
    get:
      tags:
        - HsVendor
      summary: Get HsVendor
      description: Retrieve a HsVendor by ID
      operationId: GetHsVendor
      parameters:
        - $ref: '#/components/parameters/id'
        - $ref: '#/components/parameters/return'
        - $ref: '#/components/parameters/isAdditionalData'
      responses:
        '200':
          description: HsVendor
          content:
            application/json:
              schema:
                type: object
                properties:
                  ftrcTile:
                    type: string
                    description: >-
                      Represents the feature tile associated with a specific
                      home service vendor.
                  id:
                    type: number
                    description: Unique identifier.
                  name:
                    type: string
                    description: Name of hsVendor.
                  OrgId:
                    type: number
                    description: >-
                      Unique identifier for the organization associated with a
                      specific vendor in the health services sector.
                required:
                  - ftrcTile
                  - id
                  - name
                  - OrgId
components:
  parameters:
    id:
      schema:
        $ref: '#/components/schemas/id'
      required: true
      name: id
      in: path
    return:
      schema:
        $ref: '#/components/schemas/return'
      required: false
      name: return
      in: query
    isAdditionalData:
      schema:
        $ref: '#/components/schemas/isAdditionalData'
      required: false
      name: isAdditionalData
      in: query
  schemas:
    id:
      type: number
      description: The ID of the entity for this request.
      example: 5
    return:
      type: string
      description: >-
        Comma-separated list of specific fields to return/append in the
        response. See `isAdditionalData` for more details.
      example: id,nameFirst,nameLast
    isAdditionalData:
      type: boolean
      description: >-
        Set to `true` to merge requested fields with default response, or
        false/omit to return only requested fields plus `ID`.
      example: true

````